Loading...
Searching...
No Matches
elements.hpp File Reference

## Description

Declares entities in bsoncxx::v_noabi::vector::elements.

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::vector::elements::float32
| A 32-bit float value in packed little-endian format. More...
class | bsoncxx::v_noabi::vector::elements::packed_bit_byte< Iterator >
| Reference to a byte or partial byte within a vector of packed_bit elements. Allows access to each byte as a uint8_t, while masking off writes to reserved bits. More...
class | bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >
| Reference to a single element in a packed_bit vector. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::vector
| Declarations related to the BSON Binary Vector subtype.
namespace | bsoncxx::v_noabi::vector::elements
| Declares element accessor types for BSON Binary Vector.

## Functions

template<typename Iterator>
void | bsoncxx::v_noabi::vector::elements::swap (packed_bit_byte< Iterator > a, packed_bit_byte< Iterator > b) noexcept
| Swap the referenced values for a and b.
template<typename Iterator>
void | bsoncxx::v_noabi::vector::elements::swap (packed_bit_element< Iterator > a, packed_bit_element< Iterator > b) noexcept
| packed_bit_element is Swappable even when it's not an lvalue reference